using DressAtelierContracts.BindingModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.BusinessLogicContracts
{
    public interface IReportLogic
    {
        List<ReportDressMaterialViewModel> GetDressMaterial();
        List<ReportOrdersViewModel> GetOrders(ReportBindingModel model);

        void SaveMaterialsToWordFile(ReportBindingModel model);
        void SaveDressMaterialToExcelFile(ReportBindingModel model);
        void SaveOrdersToPdfFile(ReportBindingModel model);
    }
}
